#ifndef __WINHANDLER__
#define __WINHANDLER__

#include <windows.h>

class WinHandler
{
public:
    HWND hWnd;

	WinHandler(HINSTANCE hInstance,		//The handle(number) windows assigns to each application.						
                   HINSTANCE hPrevInstance,	//The handle(number) to the previous instance of this application (deprecated).
                   LPSTR lpCmdLine,			//This string is used if the exe was run from the command line with special parameters
                   int nCmdShow,			//Extra windows style options
				   WNDPROC mainWndProc);	//Pointer to or WndProc
	bool HandleWindowsMessages();

private:

};

#endif	//__WINHANDLER__