#ifndef __CCamera__
#define __CCamera__

#include <windows.h>
#include <d3d9.h>
#include <d3dx9.h>


#define CAMERASPEED	0.005f				// The Camera Speed

//////////////////////////////////////
//The CCamera Class
//////////////////////////////////////
class CCamera 
{
	public:

		D3DXVECTOR3 mPos;	
		D3DXVECTOR3 mView;		
		D3DXVECTOR3 mUp;			

//NEW//////////////////NEW//////////////////NEW//////////////////NEW////////////////

		// This function let you control the camera with the mouse
		void Mouse_Move(int wndWidth, int wndHeight);

//NEW//////////////////NEW//////////////////NEW//////////////////NEW////////////////
		void Strafe_Camera(float speed);
		void Fly_Camera(float speed);
		void Move_Camera(float speed);
		void Rotate_View(float speed);
		void Tilt_View(float speed);
		void Position_Camera(float pos_x, float pos_y,float pos_z,
			 				 float view_x, float view_y, float view_z,
							 float up_x,   float up_y,   float up_z);
};

#endif